> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/bestanden-uploaden-met-de-geopard-api.md).

# Bestanden uploaden met de GeoPard API

{% hint style="success" %}
De aanbevolen aanpak voor bestanden groter dan 6 MB is de [pre-signed URL-flow](/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/55.-zipbestanden-uploaden-meer-dan-6-mb.md).
{% endhint %}

GeoPard API maakt het mogelijk om zip-archieven met bodem-/opbrengst-/toegediende-/grensdatasets te uploaden voor verdere verwerking en analyses.

{% hint style="danger" %}
Vanwege een AWS-beperking is de maximale bestandsgrootte die je via dit REST-endpoint kunt uploaden 6 MB.
{% endhint %}

De uploadstappen voor bestanden groter dan 6 MB worden beschreven in [Zipbestanden uploaden (meer dan 6 MB)](/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/55.-zipbestanden-uploaden-meer-dan-6-mb.md).

Direct na de succesvolle upload van de bodem-/opbrengst-/toegediende dataset koppelt de GeoPard-engine deze aan de relevante percelen binnen de gedefinieerde farm.

Direct na de succesvolle upload van de grensgeometrie start de GeoPard-engine de verwerking.

Het antwoord bevat een `<uuid>` die je kunt gebruiken om de verwerkingsstatus te volgen.

#### Voorbeeld van een verzoek:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

De parameters zijn:

1. `<type>` - type van de geüploade dataset. Dit moet een `opbrengst` OF `bodem` OF `toegediend` OF `grens`.
2. `<farm_uuid>` - de `uuid` van de farm waar het bestand zal worden geüpload (optioneel).
3. `<token>` - GeoPard-toegangstoken.
4. `@path/to/file.zip` - het pad naar het bestand dat wordt geüpload.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/bestanden-uploaden-met-de-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
